<template>
  <v-app>
    <v-navigation-drawer app absolute temporary v-model="drawer">
      <v-list-item-group>
        <v-list-item v-for="item in menuItems" :key="item.id">
          <v-list-item-title>
            <router-link :to="item.url">{{ item.name }}</router-link>
          </v-list-item-title>
        </v-list-item>
      </v-list-item-group>
    </v-navigation-drawer>
    <v-app-bar app color="green">
      <v-app-bar-nav-icon @click="drawer = !drawer"/>
      <v-app-bar-title>
        <v-container class="navigation">
          <v-container class="navigation__title">
              <h3 class="text-h4 white--text">Медицинские услуги</h3>
          </v-container>
          <v-container class="navigation__btn">
              <v-btn color="#AFFFCF" @click="exit">
                Выйти
              </v-btn>
          </v-container>
        </v-container>
      </v-app-bar-title>
    </v-app-bar>

    <v-main>
      <router-view></router-view>
    </v-main>
  </v-app>
</template>

<script>
export default {
  name: "AccountantNavigation",
  data() {
    return {
      drawer: false,
      menuItems: [
        {
          id: 0,
          name: 'Список медперсонала',
          url: '/medical_staff'
        },
        {
          id: 1,
          name: 'Услуги',
          url: '/service'
        },
        {
          id: 2,
          name: 'Лекарства',
          url: '/drug'
        },
        {
          id: 3,
          name: 'История болезни',
          url: '/diseaseHistory'
        },
        {
          id: 4,
          name: 'Счета на оплату',
          url: '/payment_of_treatment_report'
        },
        {
          id: 5,
          name: 'Ведомость оказанных услуг',
          url: '/statement_of_paid_service'
        },
        {
          id: 6,
          name: 'Отчт о суммарной стоимости услуг',
          url: '/accountant_dynamic_report'
        },
        {
          id: 7,
          name: 'Отделения больницы',
          url: '/division'
        },
        {
          id: 8,
          name: 'Диаграмма',
          url: '/accountant_diagram'
        },
        {
          id: 9,
          name: 'Архивация',
          url: '/price_archive'
        },
      ]
    }
  },

  methods: {
    exit() {
      this.$router.push('/app')
      localStorage.removeItem("user")
      window.location.reload()
    }
  }
}
</script>

<style lang="scss" scoped>
.v-list-item__title {
  a {
    text-decoration: none;
    color: #000000;
  }
}

.v-toolbar__title {
  a {
    text-decoration: none;
  }
}

.v-app-bar-title__content {
  width: 100% !important;
}

.navigation {
  display: flex !important;
  width: 100% !important;

  &__btn {
    display: flex;
    justify-content: right;
  }
}
</style>